Subject: Re: [PATCH v2 tip/core/rcu 05/13] decnet: Apply rcu_access_pointer() to avoid sparse false positive

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 9 Oct 2013 16:57:08 -0700

On Wed, Oct 09, 2013 at 03:57:16PM -0700, Josh Triplett wrote:
> On Wed, Oct 09, 2013 at 03:46:04PM -0700, Paul E. McKenney wrote:
> > On Wed, Oct 09, 2013 at 03:28:42PM -0700, Josh Triplett wrote:
> > > On Wed, Oct 09, 2013 at 02:29:38PM -0700, Paul E. McKenney wrote:
> > > > From: "Paul E. McKenney" <[email-masked]>
> > > > 
> > > > The sparse checking for rcu_assign_pointer() was recently upgraded
> > > > to reject non-__kernel address spaces.  This also rejects __rcu,
> > > > which is almost always the right thing to do.  However, the use in
> > > > dn_insert_route() is legitimate: It is assigning a pointer to an element
> > > 
> > > Nit: "uses ... are", not "use ... is". :)
> > 
> > Don't I already have "use ... is"?
> 
> I was suggesting that it needed to change from "use ... is" to "uses ...
> are", not the other way around.

I guess there really are two uses rather than just one.  ;-)

							Thanx, Paul